Package com.smartgwt.client.types

# Enum PageOrientation

java.lang.Object
java.lang.Enum<PageOrientation>
com.smartgwt.client.types.PageOrientation

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<PageOrientation>`, `Constable`

public enum PageOrientation extends Enum<PageOrientation> implements ValueEnum
Is this page being viewed in landscape or portrait orientation? Typically used with mobile devices.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LANDSCAPE`
  Landscape orientation: page is wider than it is tall.
  `PORTRAIT`
  Portrait orientation: page is taller than it is wide.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static PageOrientation`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PageOrientation[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LANDSCAPE

    public static final PageOrientation LANDSCAPE
    Landscape orientation: page is wider than it is tall.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "landscape".

  - ### PORTRAIT

    public static final PageOrientation PORTRAIT
    Portrait orientation: page is taller than it is wide.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "portrait".

- ## Method Details

  - ### values

    public static PageOrientation[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PageOrientation valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`